package o2o

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_o2o_business.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_o2o_business.git/db/model"
	zhios_o2o_business_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_o2o_business.git/utils"
	"time"
	"xorm.io/xorm"
)

//加入商家分佣 商家抽成部分
/***
commission 总佣金
bili	抽成 除以100之后的
uid	 用户id
oid 订单号
pvd 渠道
*/
func AddStoreCommission(eg *xorm.Engine, args map[string]string) {
	user, err := db.UserProfileFindByID(eg, args["uid"])
	if err != nil || user == nil {
		return
	}
	if user.ParentUid == 0 {
		return
	}
	//判断是不是商家
	manager := GetO2oStore(eg, zhios_o2o_business_utils.IntToStr(user.ParentUid))
	if manager == nil {
		return
	}
	//判断有没有存过
	relate, _ := db.GetStoreCommissionRelate(eg, args["oid"], args["pvd"])
	if relate != nil {
		return
	}
	amount := zhios_o2o_business_utils.StrToFloat64(args["amount"]) * zhios_o2o_business_utils.StrToFloat64(args["bili"])
	var ord = model.StoreCommissionRelate{
		Uid:        user.ParentUid,
		FormUid:    user.Uid,
		Pvd:        args["pvd"],
		Oid:        args["oid"],
		CreateTime: time.Now(),
		Amount:     zhios_o2o_business_utils.Float64ToStrByPrec(amount, 4),
		Rate:       args["bili"],
	}
	eg.InsertOne(&ord)
	return
}
